Bug 632737 - [6.1 FEAT] Package Update: lsvpd-1.6.7+
[6.1 FEAT] Package Update: lsvpd-1.6.7+
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lsvpd (Show other bugs)
6.1
powerpc All
medium Severity medium
: beta
: 6.1
Assigned To: Jiri Skala
qe-baseos-daemons
: FutureFeature, OtherQA, Rebase
Depends On:
Blocks: 538808 580566
  Show dependency treegraph
 
Reported: 2010-09-10 16:42 EDT by IBM Bug Proxy
Modified: 2014-11-09 17:33 EST (History)
9 users (show)

See Also:
Fixed In Version: lsvpd-1.6.10-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
ChangeLog of bumped version 1.6.10 contains only two items: - Changed default lsvpd output to use "Size" instead of "SZ" for DIMM size output. - Fixed location code discovery for storage devices. Previously, a loc-code was generated simply using the device node within the /proc/device-tree/devices file-system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 67142 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-10 16:42:50 EDT
1. Feature Overview:
Feature Id: [67142]
a. Name of Feature: [6.1 FEAT] Package Update: lsvpd-1.6.7+
b. Feature Description
lsvpd provides a hardware Vital Product Data (VPD) system, providing inventory and status
information, as well as many specific hardware stats, for external consumption.  This request is to
add the lsvpd package, 1.6.9 or latest available when code is pulled down.

The latest source code should be obtained from: 
http://sourceforge.net/projects/linux-diag/files/lsvpd-new/

2. Feature Details:
Sponsor: LTC RAS
Architectures:
  ppc64, 

Arch Specificity: purely common code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Package - Update Version
d. Upstream Acceptance: Field does not exist
Sponsor Priority P3
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
lsvpd provide VPD to many different consumers and for many different reasons.  It is used by
ppc64-diag in the determination of root-cause of hardware or  OS failure.  It is used by IBM
Director to track hardware inventory and system usage information.  Without lsvpd, Director is
unable to properly report diagnostics information or hardware failure, or provide specific repair
instructions for adapter replacement.

lsvpd-1.6.9 incorporates a major bug-fix over 1.6.7, dealing with firmware version output.  Please
pull down this version, or newer, from the referenced repository.


4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
BRAD PETERS, bpeters@us.ibm.com
Comment 3 IBM Bug Proxy 2010-10-04 12:38:26 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 10:42 EDT-------
Code Upstream Status: No Code Required
Comment 6 John Jarvis 2010-12-01 11:40:09 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 Jiri Skala 2011-01-07 03:24:39 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
ChangeLog of bumped version 1.6.10 contains only two items:

- Changed default lsvpd output to use "Size" instead 
of "SZ" for DIMM size output.

- Fixed location code discovery for storage devices. Previously, a loc-code was generated simply using the device node within the /proc/device-tree/devices file-system.
Comment 10 Chris Ward 2011-04-06 07:18:17 EDT
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!
Comment 11 errata-xmlrpc 2011-05-19 08:59:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0547.html

Note You need to log in before you can comment on or make changes to this bug.